Bug 12407 - "Тяжёлая" зависимость на KDE
: "Тяжёлая" зависимость на KDE
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kchmviewer)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-07-26 21:30 by
Modified: 2009-03-16 19:56 (History)


Attachments
kchmviewer's spec with conditional build support (3.40 KB, text/plain)
2007-07-28 12:03, Evgenii Terechkov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-26 21:30:25
При обновлений kchmviewer 2.5 на 3.1 вытягиваются KDE-е пакеты (kde-settings,
kde-common, kdelibs), до того не требовавшиеся.

Если 3.1 не перестал допускать возможность сборки без KDE (2.5 допускает),
хорошо было бы разделить пакет на два: qt-only и KDE.
------- Comment #1 From 2007-07-26 21:38:29 -------
Могу сделать --without kde.
KHTML лично мне больше нравится внешне и предоставляет больше возможностей.
Для опакечивания обоих вариантов надо городить фигню как в SIM, с 2 сборками в 
1 спеке, а мне это нафик не надо. Патчи приветствуются.
------- Comment #2 From 2007-07-28 12:03:29 -------
Created an attachment (id=2117) [details]
kchmviewer's spec with conditional build support

Ну, кед, чтобы написать полноценный спек с двумя ветками сборки, у меня нет и
не предвидется. Собрал для себя пакет. Могу лишь предложить свой спек
(разумеется, с небольшими поправками) и попросить его поддерживать.
------- Comment #3 From 2007-09-22 11:11:35 -------
4.0 будет на Qt4 и соотв-венно без кедов.
------- Comment #4 From 2007-09-22 17:25:19 -------
(In reply to comment #3)
> 4.0 будет на Qt4 и соотв-венно без кедов.

Отрадно.  LATER?
------- Comment #5 From 2008-03-08 19:32:03 -------
LATER
------- Comment #6 From 2008-06-13 16:15:36 -------
~$ pksh kchmviewer4 G depends: G kde
Depends: /lib/ld-linux.so.2, libQtCore.so.4, libQtCore.so.4(CXX3),
libQtDBus.so.4, libQtGui.so.4, libc.so.6(GLIBC_2.0), libc.so.6(GLIBC_2.1.3),
libc.so.6(GLIBC_2.4), libchm.so.0, libkdecore.so.5, libkdeui.so.5,
libkhtml.so.5, libkio.so.5, libkparts.so.4, libstdc++.so.6(CXXABI_1.3),
libstdc++.so.6(GLIBCXX_3.4), rtld(GNU_HASH)
------- Comment #7 From 2008-06-13 16:16:34 -------
Обманули :-)

Но в этом пакете всё равно, видимо, WONTFIX.
------- Comment #8 From 2009-03-16 19:56:57 -------
kchmviewer-nokde-4.0-alt4